//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "UnAboutBox.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
AnsiString NameFile;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void TForm1::ImageResize(){
  if(NameFile=="")
    StatusBar1->SimpleText=" :  ";
  else
    StatusBar1->SimpleText=" :  = "+IntToStr(Image1->Width)+
    ",  = "+IntToStr(Image1->Height);
}
void __fastcall TForm1::OpenItemClick(TObject *Sender)
{
if (OpenPictureDialog1->Execute())
        { Image1->Picture->LoadFromFile(OpenPictureDialog1->FileName);
          NameFile=OpenPictureDialog1->FileName;
          ViewItem->Enabled=true;
          SaveItem->Enabled=true;
          Caption=Caption+" - "+NameFile;
          ImageResize();
          ExistSizeItemClick(Sender);
        }
        
}
//---------------------------------------------------------------------------


void __fastcall TForm1::MySizeItemClick(TObject *Sender)
{
    Image1->AutoSize=false;
    Image1->Width=UpDown1->Position;
    Image1->Height=Image1->Width;
    Image1->Stretch=true;
    MySizeItem->Checked=true;
    ImageResize();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ExistSizeItemClick(TObject *Sender)
{
    Image1->AutoSize=true;
    Image1->Stretch=false;
    ExistSizeItem->Checked=true;
    ImageResize();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::PanelslItemClick(TObject *Sender)
{
bool state = ((TMenuItem * )Sender)->Checked;
       ((TMenuItem * )Sender)->Checked = !state;
       if (Sender == ToolItem )
         PanelTool->Visible = !state;
       else
         StatusBar1->Visible= !state;

}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormCreate(TObject *Sender)
{
 NameFile="";
 SaveItem->Enabled=false;
 ViewItem->Enabled=false;
 Image1->AutoSize=true;
 Image1->Stretch=false;
 StatusBar1->SimplePanel=true;
 ScrollBox1Resize(ScrollBox1);
 ImageResize();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::MinItemClick(TObject *Sender)
{
  UpDown1->Position = UpDown1->Min;
  MySizeItemClick(Sender);

}
//---------------------------------------------------------------------------

void __fastcall TForm1::MaxItemClick(TObject *Sender)
{
      UpDown1->Position = UpDown1->Max;
      MySizeItemClick(Sender);

}
//---------------------------------------------------------------------------


void __fastcall TForm1::SaveItemClick(TObject *Sender)
{
      if (SavePictureDialog1->Execute())
        Image1->Picture->SaveToFile(SavePictureDialog1->FileName);

}
//---------------------------------------------------------------------------
void __fastcall TForm1::ExitItemClick(TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ScrollBox1Resize(TObject *Sender)
{
if(ScrollBox1->Width>=ScrollBox1->Height)
  UpDown1->Max=ScrollBox1->Width;
else
  UpDown1->Max=ScrollBox1->Height;
}

void __fastcall TForm1::AboutItemClick(TObject *Sender)
{
AboutBox->ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::UpDown1ChangingEx(TObject *Sender,
      bool &AllowChange, short NewValue, TUpDownDirection Direction)
{
  MySizeItemClick(Sender);        
}
//---------------------------------------------------------------------------

